SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000707SiT!permissionspublic2009-05-24 13:062009-08-16 14:39
Reporterpaulh 
Assigned Tokieran 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.50Fixed in Version3.50 
Summary0000707: Problem n edit_user_permissions
Descriptionin edit_user_permissions.php line 56 is an IF though the body of this is not clear
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0001099)
paulh (administrator)
2009-05-24 13:06

The code is:

        if ($cresult AND mysql_num_rows($cresult) > 0)
        if (empty($seltab)) $seltab = 1;
        while ($pcat = mysql_fetch_object($cresult))
        {
            echo "<li";
            if ($seltab == $pcat->id) echo " class='active'";
            echo "><a href='{$_SERVER['PHP_SELF']}?tab={$pcat->id}'>{$GLOBALS[$pcat->category]}</a>";
            $cat[$pcat->id] = $pcat->category;
        }
        echo "";
        echo "</div>";

What should be in the if?
User avatar (0001551)
kieran (administrator)
2009-08-15 16:26

Fixed in trunk svn r5770. The first if check if the result and number of rows so i'm 99.9% sure it goes around everything else so it doesn't get a mysql resource error.
User avatar (0001700)
ivan (administrator)
2009-08-16 14:39

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-05-24 13:06 paulh New Issue
2009-05-24 13:06 paulh Note Added: 0001099
2009-08-15 16:26 kieran Note Added: 0001551
2009-08-15 16:26 kieran Assigned To => kieran
2009-08-15 16:26 kieran Status new => resolved
2009-08-15 16:26 kieran Resolution open => fixed
2009-08-15 16:26 kieran Fixed in Version => Current SVN
2009-08-15 21:31 ivan Target Version => 3.50
2009-08-16 13:15 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:39 ivan Note Added: 0001700
2009-08-16 14:39 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker